- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# neethi_policy.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <neethi_operator.h>`
`#include <neethi_includes.h>`
`#include <neethi_exactlyone.h>`

Go to the source code of this file.

## Typedefs
typedef struct neethi_policy_t | neethi_policy_t
## Functions
AXIS2_EXTERN neethi_policy_t * | neethi_policy_create (const axutil_env_t *env)
AXIS2_EXTERN void | neethi_policy_free (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | neethi_policy_get_policy_components (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_policy_add_policy_components (neethi_policy_t *neethi_policy, axutil_array_list_t *arraylist, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_policy_add_operator (neethi_policy_t *neethi_policy, const axutil_env_t *env, neethi_operator_t *op)
AXIS2_EXTERN axis2_bool_t | neethi_policy_is_empty (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN neethi_exactlyone_t * | neethi_policy_get_exactlyone (neethi_policy_t *normalized_neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | neethi_policy_get_alternatives (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | neethi_policy_get_name (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_policy_set_name (neethi_policy_t *neethi_policy, const axutil_env_t *env, axis2_char_t *name)
AXIS2_EXTERN axis2_char_t * | neethi_policy_get_id (neethi_policy_t *neethi_policy, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_policy_set_id (neethi_policy_t *neethi_policy, const axutil_env_t *env, axis2_char_t *id)
AXIS2_EXTERN axiom_node_t * | neethi_policy_serialize (neethi_policy_t *neethi_policy, axiom_node_t *parent, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_policy_set_root_node (neethi_policy_t *policy, const axutil_env_t *env, axiom_node_t *root_node)
AXIS2_EXTERN axutil_hash_t * | neethi_policy_get_attributes (neethi_policy_t *neethi_policy, const axutil_env_t *env)

## Detailed Description